## fatrat-czshare 1.1.3

=== CMakeLists.txt ===
project(fatrat-czshare)

cmake_minimum_required(VERSION 2.4.0)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(Qt4 REQUIRED)

set(CMAKE_MODULE_PATH cmake_modules)

set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)

set(fatrat_DIR ${CMAKE_MODULE_PATH})
find_package(fatrat REQUIRED)

if(FATRAT_FOUND)
	message(STATUS "fatrat found OK - ${FATRAT_INCLUDE_DIRS}")
	include_directories(${FATRAT_INCLUDE_DIRS})
else(FATRAT_FOUND)
	message(FATAL_ERROR "No FatRat development headers found")
endif(FATRAT_FOUND)

include( ${QT_USE_FILE} )
add_definitions(${QT_DEFINITIONS})
add_definitions(-fvisibility=hidden)
include_directories(./ ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDE_DIR})

CONFIGURE_FILE(config.h.in config.h)

set(fatrat-czshare_SRCS
	fr_czshare.cpp
	CzshareDownload.cpp
	CzshareUpload.cpp
	SettingsCzshare.cpp
	)

set(fatrat-czshare_MOC_HDRS
	CzshareDownload.h
	CzshareUpload.h
	SettingsCzshare.h
	)

set(fatrat-czshare_UIS
	SettingsCzshare.ui
	CzshareDownloadForm.ui
	)

qt4_wrap_cpp(fatrat-czshare_MOC_SRCS ${fatrat-czshare_MOC_HDRS})

set(fatrat-czshare_RCS
	gfx/czshare.qrc
)

qt4_wrap_ui(fatrat-czshare_UIS_H ${fatrat-czshare_UIS})
qt4_add_resources(fatrat-czshare_QRC_H gfx/czshare.qrc)
qt4_add_translation(lrelease_outputs locale/fatrat-czshare_cs_CZ.ts locale/fatrat-czshare_sk_SK.ts)

add_library(fatrat-czshare SHARED ${fatrat-czshare_SRCS} ${fatrat-czshare_MOC_SRCS} ${fatrat-czshare_UIS_H} ${fatrat-czshare_QRC_H} ${lrelease_outputs})

target_link_libraries(fatrat-czshare ${QT_LIBRARIES})

if(WITH_NLS)
	install(FILES ${lrelease_outputs} DESTINATION share/fatrat/lang)
endif(WITH_NLS)

install(TARGETS fatrat-czshare DESTINATION lib/fatrat/plugins)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/data/TRANSLATIONS
	DESTINATION share/doc/fatrat-czshare
	)

## fatrat-czshare 1.1.1

=== debian/changelog ===
fatrat-czshare (1.1.1-2) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * debian/control: drop useless build-dep on libqt4-dev.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 10 Dec 2009 20:30:31 +0100

fatrat-czshare (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #537065).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 16 Nov 2009 00:39:20 +0100

=== debian/control ===
Source: fatrat-czshare
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.3.7),
               cmake (>= 2.6.0),
               fatrat-dev (>= 1.1.1)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-czshare.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-czshare.git
Homepage: http://fatrat.dolezel.info
DM-Upload-Allowed: yes

Package: fatrat-czshare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.1)
Enhances: fatrat
Description: fatrat plugin allowing download and upload to czshare
 FatRat is a feature rich download manager written in C++ and built on
 top of Qt4 library, including many download protocols and a plugin system.
 .
 This package contains a plugin for FatRat which provides integration with
 CzShare.com allowing for download and upload of files.

## fatrat-czshare 1.1.2

=== debian/changelog ===
fatrat-czshare (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump up standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sat, 20 Feb 2010 01:29:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.3.7),
                cmake (>= 2.6.0),
                fatrat-dev (>= 1.1.1)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-czshare.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-czshare.git
 Homepage: http://fatrat.dolezel.info

## fatrat-czshare 1.1.3

=== debian/changelog ===
fatrat-czshare (1.1.3-1) unstable; urgency=low

  * New upstream version.
    - debian/control:
      + bump up (build-)dep on fatrat(-dev) to (>= 1.1.3).
      + bump up Standards-Version to 3.9.1 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 08 Oct 2010 18:04:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.3.7),
                cmake (>= 2.6.0),
-               fatrat-dev (>= 1.1.1)
-Standards-Version: 3.8.4
+               fatrat-dev (>= 1.1.3)
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/fatrat-czshare.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fatrat-czshare.git
 Homepage: http://fatrat.dolezel.info
@@ -13,7 +13,7 @@
 
 Package: fatrat-czshare
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, fatrat (>= 1.1.3)
 Enhances: fatrat
 Description: fatrat plugin allowing download and upload to czshare
  FatRat is a feature rich download manager written in C++ and built on

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_NLS=ON -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"

override_dh_makeshlibs:
	dh_makeshlibs -Xfatrat-czshare
	# avoid problems with incorrect parsing of private libraries
	# (plugins) having an hyphen in their name (#384424).

=== debian/watch ===
version=3
http://www.dolezel.info/download/data/fatrat-czshare/fatrat-czshare-(.*)\.tar\.gz
